| Home | Libraries | People | FAQ | More

##### remove(rtree<...> &, Iterator, Iterator)

Remove a range of values from the container.

###### Description

Remove a range of values from the container. In contrast to the ``std::set`` or ``std::map erase()`` method it doesn't take iterators pointing to values stored in this container. It removes values equal to these passed as a range. Furthermore this function removes only one value for each one passed in the range, not all equal values.

It calls `rtree::remove(Iterator, Iterator)`.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator,
             typename Iterator>
    rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator >::size_type remove(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > & tree,
                                                                                      Iterator first,
                                                                                      Iterator last)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > &` | `tree` | The spatial index.
`Iterator` | `first` | The beginning of the range of values.
`Iterator` | `last` | The end of the range of values.

###### Returns

The number of removed values.